Update template lock
Updates the lock information for a locked template.
You must include the X-DocuSign-Edit header
as described in
TemplateLocks: create.
Use this method to change the duration
of the lock (lockDurationInSeconds)
or the lockedByApp string.
The request body is a full lockRequest object,
but you only need to specify the
properties that you are updating. For example:
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: lockRequest
The configured value is not used; the timeout is hardcoded to 600 seconds. To use a different timeout, implement a custom timer and explicitly control locking and unlocking.
The type of lock. Currently edit is the only supported type.
The password for the template. If you are using a lock for a template that has a password or an envelope that is based on a template that has a password, you must enter the templatePassword to save the changes.
When true, a scratchpad is used to edit information.
Response
The number of seconds to lock the envelope for editing. This value must be greater than 0 seconds.
The human-readable name of the application that is locking the envelope or template. This value displays to the user in error messages when lock conflicts occur.
The type of lock. Currently edit is the only supported type.
When true, a scratchpad is used to edit information.